function public_checkRegisterTel(tel, ajaxMethod, toDo){
	var ao = global_ajaxObject.user;
	var url = util.str.createAjaxURL(ao, ao.method_register_check);
	var data = {
		tel: tel
	};
	var success = function(response){
		if(response.result == global_ajaxResult.SUCCESS){
			
			if(typeof toDo === "function"){
				toDo(response.data);
			}
		
		}
	};
	ajaxMethod(url, data, success);
}

/*
 * 通过实名认证状态，来决定做什么
 * (object)response: user data
 */
function public_checkVerify(data, toDo) {
	if(typeof toDo === "function") {
		if(data.needVerify) {
			switch(data.verifyStatus) {
				case global_verifyStatus.REJECTED:
					mui.confirm('您的实名认证未通过，是否重新申请实名认证？', global_stringObject.project, [global_dialogOptions.NO, global_dialogOptions.YES], function(e) {
						if(e.index == 1) {
							public_verify();
						}
					});
					break;
				case global_verifyStatus.VERIFIED:
					toDo(data);
					break;
				case global_verifyStatus.UNVERIFIED:
					mui.confirm('请先进行实名认证', global_stringObject.project, [global_dialogOptions.NO, global_dialogOptions.YES], function(e) {
						if(e.index == 1) {
							public_verify();
						}
					});
					break;
				case global_verifyStatus.WAIT:
					mui.alert('您已提交实名认证申请，请耐心等待', global_stringObject.project, null);
					break;
			}
		} else {
			toDo(data);
		}
	}

}

function public_createCommonIntegralListItemHTML(data) {

	var html = '<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-9">' +
		'<h4 class="" style="padding-top: 1px;">' + data.type + '</h4>' +
		'<p class="mui-h6 mui-ellipsis">' + data.inputDate + '</p>' +
		'</div>' +
		'<div class="mui-table-cell mui-col-xs-3 mui-text-right" style="vertical-align: middle;">' +
		'<h4 class="app-color-theme-primary">' + data.integral + '</h4>' +
		'</div>' +
		'</div>';

	return html;
}

function public_createCommonGoodsListItemHTML(data) {
	var html = '<li class="mui-table-view-cell">' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-12">' +
		'<h4 class="mui-ellipsis">' + data.startPlace + ' → ' + data.endPlace + '</h4>' +
		'</div>' +
		'</div>' +
		'</li>' +
		'<li class="mui-table-view-cell">' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-12">' +
		'<h5 class="mui-ellipsis app-color-theme-red details"><img src="images/goods_name.png" class="public-goods-img-icon" /> ' + data.goodsName + ' 装载' + data.weight + '吨</h5>' +
		'</div>' +
		'</div>' +
		'</li>' +
		'<li class="mui-table-view-cell" >' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-9">' +
		'<h4 class="app-data-source"></h4>' +
		'</div>' +
		/*
		'<div class="mui-table-cell mui-col-xs-3">' +
		'<h5 class="mui-ellipsis mui-text-right"><img src="images/edit.png" class="public-vehicle-img-icon" />编辑</h5>' +
		'</div>' +
		*/
		'<div class="mui-table-cell mui-col-xs-3 tappable" data-action="delete">' +
		'<h5 class="mui-ellipsis mui-text-right"><img src="images/delete.png" class="public-vehicle-img-icon" />删除</h5>' +
		'</div>' +
		'</div>' +
		'</li>';

	return html;
}

function public_createCommonRoutineListItemHTML(data) {
	var html = '<li class="mui-table-view-cell">' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-12">' +
		'<h5 class="app-line-height-large">' + data.start + ' → ' + data.end + '</h5>' +
		'</div>' +
		'</div>' +
		'</li>' +
		'<li class="mui-table-view-cell" >' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-9">' +
		'<h4 class="app-data-source"></h4>' +
		'</div>' +
		'<div class="mui-table-cell mui-col-xs-3 tappable" data-action="delete">' +
		'<h5 class="mui-ellipsis mui-text-right"><img src="images/delete.png" class="public-vehicle-img-icon" />删除</h5>' +
		'</div>' +
		'</div>' +
		'</li>';

	return html;
}

function public_createGoodsBillListItemHTML(data) {
	var html = '<li class="mui-table-view-cell" >' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-9">' +
		'<h4 class="app-data-source">' + data.carNum + '</h4>' +
		'</div>' +
		'<div class="mui-table-cell mui-col-xs-3">' +
		'<h5 class="mui-ellipsis mui-text-right">' + global_billState[data.state] + '</h5>' +
		'</div>' +
		'</div>' +
		'</li>' +
		'<li class="mui-table-view-cell" >' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-12 app-line-height-large">' +
		'<p class=""><img src="images/goods_name.png" class="public-goods-img-icon" /><span class="app-color-theme-red">' + data.goodsName + ' 装载' + data.weight + '吨</span></p>' +
		'<p class=""><img src="images/shipper.png" class="public-goods-img-icon" />' + data.realname + '</p>' +
		'<p class=""><img src="images/goods_clock.png" class="public-goods-img-icon" />' + data.takeDate + ' 接单</p>' +
		'<p class=""><img src="images/goods_money.png" class="img-goods" />装货费用 : <span class=" app-color-theme-red">￥' + data.loadingMoney + '</span> 卸货费用 : <span class=" app-color-theme-red">￥' + data.dischargeMoney + '</span> 运费 : <span class=" app-color-theme-red">￥' + data.freight + '</span></p>' +
		'</div>' +
		'</div>' +
		'</li>';

	return html;
}

function public_createGoodsListItemHTML(data) {
	/*
	var VeHtml = "";
	var vehicleL = data.vehicleLength.split(',');
	for(var i = 0; i < vehicleL.length; i++) {
		VeHtml = VeHtml + vehicleL[i]+'';
		if((i+1)<vehicleL.length)
		{
			VeHtml=VeHtml+",";
		}
	}
	*/

	var html = '<a>' +
		'<img class="mui-media-object mui-pull-left public-avatar-img" src="' + (data.avatarUrl ? global_imgURL + data.avatarUrl : global_noPicURL) + '">' +
		'<div class="mui-media-body">' +
		'<h5 class="mui-ellipsis"><span class="public-badge app-block-theme-primary">装</span> ' + data.startPlace + '<span class="mui-pull-right">' + data.publishDate + '</span></h5>' +
		'<h5 class="mui-ellipsis"><span class="public-badge app-block-theme-secondary">卸</span> ' + data.endPlace + '<img src="images/tel.png" style="width: 25px;" class="mui-pull-right" /></h5>' +
		'<p class="mui-ellipsis app-color-theme-red"><img src="images/goods_name.png" class="img-goods" />' + data.goodsName + ' 共' + data.totalWeight + '吨 剩余' + data.leftWeight + '吨</p>' +
		'<p class="mui-ellipsis"><img src="images/goods_date.png" class="img-goods" />' + data.date + '</p>'
		+
		'<p class="mui-ellipsis"><img src="images/goods_vehicle.png" class="img-goods" />' + data.vehicleType + ' ' + data.vehicleLength + '</p>'
		+
		'</div>' +
		'</a>';

	return html;
}

function public_createLetterListItemHTML(dataObj) {
	/*
	var html = '<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-1" style="vertical-align: middle;">' +
		'</div>' +
		'<div class="mui-table-cell mui-col-xs-11">' +
		'<h4 class="mui-ellipsis" style="line-height: normal;">' + dataObj.title + '</h4>' +
		'<h5>' + dataObj.date + '</h5>' +
		'<p class="mui-h6 mui-ellipsis">' + dataObj.subtitle + '</p>' +
		'</div>' +
		'</div>';
	*/

	var html = '<div class="mui-card-content">' +
		'<div class="mui-card-content-inner">' +
		'<h4 class="mui-ellipsis">' + dataObj.title + '</h4>' +
		'<h5 class="mui-ellipsis">' + dataObj.date + '</h5>' +
		'<p class="mui-ellipsis">' + dataObj.subtitle + '</p>' +
		'</div>' +
		'<div class="mui-card-footer mui-navigate-right ">' +
		'<span class="read-or-unread "></span><span class="app-color-theme-red" style="margin-right: 15px;">立即查看</span>' +
		'</div>' +
		'</div>';

	return html;
}

function public_createMyAccountListItemHTML(data) {

	var html = '<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-9">' +
		'<h4 class="mui-ellipsis" style="padding-top: 1px;">' + data.title + '</h4>' +
		'<h5 class="mui-ellipsis">' + global_transactionState[data.state] + '</h5>' +
		'<p class="mui-h6 mui-ellipsis">' + data.date + '</p>' +
		'</div>' +
		'<div class="mui-table-cell mui-col-xs-3 mui-text-right" style="vertical-align: middle;">' +
		'<h4 class="amount"></h4>' +
		'</div>' +
		'</div>';

	return html;
}

function public_createMyBillListItemHTML(data) {
	var html = '<li class="mui-table-view-cell">' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-9">' +
		'<h4 class="mui-ellipsis" style="padding-top: 1px;">' + data.startPlace + ' → ' + data.endPlace + '</h4>' +
		'</div>' +
		'<div class="mui-table-cell mui-col-xs-3 mui-text-right" style="vertical-align: middle;">' +
		'<h5 class="app-color-theme-primary" >' + global_billState[data.state] + '</h5>' +
		'</div>' +
		'</div>' +
		'</li>' +
		'<li class="mui-table-view-cell">' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-12">' +
		'<h5 class="mui-ellipsis details"><img src="images/shipper.png" class="img-goods" /> ' + data.shipperRealName + '</h5>' +
		'<h5 class="mui-ellipsis app-color-theme-red public-my-goods-details"><img src="images/goods_name.png" class="public-my-goods-img-goods" /> ' + data.goodsName + ' 装载' + data.weight + '吨</h5>' +
		'<h5 class="mui-ellipsis public-my-goods-details"><img src="images/goods_date.png" class="public-my-goods-img-goods" /> ' + data.date + '</h5>' +
		'<h5 class="mui-ellipsis public-my-goods-details"><img src="images/goods_vehicle.png" class="public-my-goods-img-goods" /> ' + data.vehicleType + '</h5>' +
		'</div>' +
		'</div>' +
		'</li>';

	return html;
}

function public_createMyEvaluateListItemHTML(data) {
	var html = '<a>' +
		'<img class="mui-media-object mui-pull-left public-avatar-img" src="' + (data.avatarUrl ? global_imgURL + data.avatarUrl : global_noPicURL) + '">' +
		'<div class="mui-media-body">' +
		'<h5 class="mui-ellipsis">' + data.name + '<span class="mui-pull-right">' + data.date + '</span></h5>' +
		'<p class="mui-ellipsis">' + data.content + '</span></p>' +
		'</div>' +
		'</a>';

	return html;
}

function public_createMyComplaintListItemHTML(data) {
	var html = '<a>' +
		'<div class="mui-media-body">' +
		'<h5 class="mui-ellipsis">' + data.respondent + '<span class="mui-pull-right">' + data.inputDate + '</span></h5>' +
		'<p class="mui-ellipsis">' + (data.waybillNum == "0" ? "运单号:-" : "运单号:" + data.waybillNum) + '<span class="mui-pull-right">' + (data.type == 1 ? "欺诈" : "拖扣欠款") + '</span></p>' +
		'<p class="mui-ellipsis">' + data.remark + '</span></p>' +
		'</div>' +
		'</a>';

	return html;
}

function public_createMyFamiliarVehicleListItemHTML(data) {
	var html = '<li class="mui-table-view-cell" >' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-6">' +
		'<h4 class="app-data-source">' + data.carNum + '</h4>' +
		'</div>' +
		'<div class="mui-table-cell mui-col-xs-3 tappable" data-action="edit">' +
		'<h5 class="mui-ellipsis mui-text-right"><img src="images/edit.png" class="public-vehicle-img-icon" />编辑</h5>' +
		'</div>' +
		'<div class="mui-table-cell mui-col-xs-3 tappable" data-action="delete">' +
		'<h5 class="mui-ellipsis mui-text-right"><img src="images/delete.png" class="public-vehicle-img-icon" />删除</h5>' +
		'</div>' +
		'</div>' +
		'</li>' +
		'<li class="mui-table-view-cell" >' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-12 app-line-height-large">' +
		'<p class="app-data-source"><span class="public-vehicle-badge public-color-blue">车型</span> ' + data.carType + '</p>' +
		'<p class="app-data-source"><span class="public-vehicle-badge public-color-green">车长</span> ' + data.carLength + '</p>' +
		'<p class="app-data-source"><span class="public-vehicle-badge public-color-pink">载重</span> ' + data.loads + '</p>' +
		'</div>' +
		'</div>' +
		'</li>';

	return html;
}

function public_createMyGoodsListItemHTML(data) {
	var editAction,
		editElement;
		
	switch(data.state){
		case global_goodsState.TO_LOAD:
		case global_goodsState.STOPPED:
			editAction = "edit";
			editElement = '<span class="mui-icon mui-icon-compose mui-pull-right app-color-theme-inactive"></span>';
			break;
		default:
			editAction = "";
			editElement = "";
			break;
	}
	
	var html = '<li class="mui-table-view-cell">' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-9">' +
		'<h4 class="mui-ellipsis" style="padding-top: 1px;">' + data.startPlace + ' → ' + data.endPlace + '</h4>' +
		'</div>' +
		'<div class="mui-table-cell mui-col-xs-3 mui-text-right">' +
		'<h5 class="app-color-theme-primary" >' + global_goodsState[data.state] + '</h5>' +
		'</div>' +
		'</div>' +
		'</li>' +
		'<li class="mui-table-view-cell">' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-12">' +
		'<h5 class="mui-ellipsis app-color-theme-red public-my-goods-details tappable" data-action="' + editAction + '"><img src="images/goods_name.png" class="public-my-goods-img-goods" />' + data.goodsName + ' 已装载' + (data.totalWeight - data.leftWeight) + '吨，剩余' + data.leftWeight + '吨' + editElement + '</h5>' +
		'<h5 class="mui-ellipsis public-my-goods-details"><img src="images/goods_date.png" class="public-my-goods-img-goods" />' + data.date + '</h5>' +
		'<h5 class="mui-ellipsis public-my-goods-details"><img src="images/goods_vehicle.png" class="public-my-goods-img-goods" />' + data.vehicleType + ' ' + data.vehicleLength + '</h5>' +
		'</div>' +
		'</div>' +
		'</li>';

	return html;
}

function public_createMyShipperVehicleListItemHTML(data) {
	var html = '<li class="mui-table-view-cell" >' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-6">' +
		'<h4 class="app-data-source">' + data.carNum + '</h4>' +
		'</div>' +
		'<div class="mui-table-cell mui-col-xs-3 tappable" data-action="edit">' +
		'<h5 class="mui-ellipsis mui-text-right" style="display: none;"><img src="images/edit.png" class="public-vehicle-img-icon" />编辑</h5>' +
		'</div>' +
		'<div class="mui-table-cell mui-col-xs-3 tappable" data-action="delete">' +
		'<h5 class="mui-ellipsis mui-text-right"><img src="images/delete.png" class="public-vehicle-img-icon" />删除</h5>' +
		'</div>' +
		'</div>' +
		'</li>' +
		'<li class="mui-table-view-cell" >' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-12 app-line-height-large">' +
		/*
		'<p class="app-data-source"><span class="public-vehicle-badge public-color-orange">司机</span> ' + data.driverName + '</p>' +
		*/
		'<p class="app-data-source"><span class="public-vehicle-badge public-color-blue">车型</span> ' + data.typeName + '</p>' +
		'<p class="app-data-source"><span class="public-vehicle-badge public-color-green">车长</span> ' + data.length + '</p>' +
		(data.loads ? '<p class="app-data-source"><span class="public-vehicle-badge public-color-pink">载重</span> ' + data.loads + '</p>' : "") +
		'</div>' +
		'</div>' +
		'</li>'
		+ '<li class="mui-table-view-cell tappable" data-action = "position">'
		+     '<div class="mui-table">'
		+         '<div class="mui-table-cell mui-col-xs-12 " >'
		+             '<p class="app-data-source">查看位置</p>'
		+         '</div>'
		+     '</div>'
		+ '</li>';
		                
	return html;
}

function public_createMyVehicleListItemHTML(data) {
	var html = '<li class="mui-table-view-cell" >' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-6">' +
		'<h4 class="app-data-source">' + data.carNum + '</h4>' +
		'</div>' +
		'<div class="mui-table-cell mui-col-xs-3 tappable" data-action="edit">' +
		'<h5 class="mui-ellipsis mui-text-right" style="display: none;"><img src="images/edit.png" class="public-vehicle-img-icon" />编辑</h5>' +
		'</div>' +
		'<div class="mui-table-cell mui-col-xs-3 tappable" data-action="delete">' +
		'<h5 class="mui-ellipsis mui-text-right"><img src="images/delete.png" class="public-vehicle-img-icon" />删除</h5>' +
		'</div>' +
		'</div>' +
		'</li>' +
		'<li class="mui-table-view-cell" >' +
		'<div class="mui-table">' +
		'<div class="mui-table-cell mui-col-xs-12 app-line-height-large">' +
		/*
		'<p class="app-data-source"><span class="public-vehicle-badge public-color-orange">司机</span> ' + data.driverName + '</p>' +
		*/
		'<p class="app-data-source"><span class="public-vehicle-badge public-color-blue">车型</span> ' + data.typeName + '</p>' +
		'<p class="app-data-source"><span class="public-vehicle-badge public-color-green">车长</span> ' + data.length + '</p>' +
		(data.loads ? '<p class="app-data-source"><span class="public-vehicle-badge public-color-pink">载重</span> ' + data.loads + '</p>' : "") +
		'</div>' +
		'</div>' +
		'</li>'
		+ '<li class="mui-table-view-cell tappable" style="padding: 0;" data-action="">'
		+     '<div class="mui-table">'
		+         '<div class="mui-table-cell mui-col-xs-12 ">'
		+             '<div class="mui-input-row mui-radio mui-left">'
		+                 '<label>绑定车辆</label>'
		+                 '<input name="radio1" type="radio" data-action="bind">'
		+             '</div>'
		+         '</div>'
		+     '</div>'
		+ '</li>';
	                    
	return html;
}

function public_createVehicleListItemHTML(data) {
	var isTakenBadge = "";

	if(data.isTaken == 1) {
		isTakenBadge = '<span class="public-square-badge public-color-orange" style="position: absolute;right: 0;top: 0;">接单中</span>';
	}
	var html = '<a>' 
			 +      isTakenBadge
			 +     '<img class="mui-media-object mui-pull-left public-avatar-img" src="' + (data.avatarUrl ? global_imgURL + data.avatarUrl : global_noPicURL) + '">' 
			 +     '<div class="mui-media-body">' 
			 +         '<div class="common-routine-list">'
			 +         '</div>'
			  
			 +         '<p class="mui-ellipsis"><img src="images/goods_vehicle.png" class="img-goods" /><span class="app-data-amount">' + data.carType + ' ' + data.carLength + '米 ' + (data.loads ? data.loads + "吨" : "") + '</span></p>' 
			 +     '</div>' 
			 + '</a>';

	return html;
}

/*
 * 司机支付信息费
 */
function public_driverPay(driverId, goodsId, ajaxMethod, toDo) {
	var ajaxObject = global_ajaxObject.order;
	var url = util.str.createAjaxURL(ajaxObject, ajaxObject.method_driver_pay);
	var data = {
		driverId: driverId,
		goodsId: goodsId,
		lng: localStorage.getItem(global_localStorage.method_longitude),
		lat: localStorage.getItem(global_localStorage.method_latitude)
	};
	util.encrypt.MD5Data(data);
	var success = function(response) {
		console.log("driver pay: " + JSON.stringify(response));
		if(typeof toDo === "function") {
			toDo(response);
		}

	};
	ajaxMethod(url, data, success);
}

/*
 * 查询司机是否付了信息费
 */
function public_getDriverPayState(driverId, goodsId, ajaxMethod, toDo) {
	var ajaxObject = global_ajaxObject.order;
	var url = util.str.createAjaxURL(ajaxObject, ajaxObject.method_get_driver_pay_state);
	var data = {
		driverId: driverId,
		goodsId: goodsId
	};
	util.encrypt.MD5Data(data);
	var success = function(response) {
		if(response.result == global_ajaxResult.SUCCESS) {

			response = response.data;

			if(typeof toDo === "function") {
				toDo(response);
			}
		}

	};
	ajaxMethod(url, data, success);
}

function public_getGoodsDetail(goodsId, ajaxMethod, needFill, toDo) {
	var ajaxObject = global_ajaxObject.product;
	var url = util.str.createAjaxURL(ajaxObject, ajaxObject.method_goods_detail);
	var data = {
		id: goodsId
	};
	
	var success = function(response) {
		if(response.result == global_ajaxResult.SUCCESS) {

			response = response.data;
			if(needFill) {

				var _document = document,
					element;

				for(var prop in response) {
					element = _document.querySelector(".goods-data-" + prop);
					if(element && response[prop]) {
						element.innerHTML = response[prop];
					}

					element = _document.querySelector(".goods-value-" + prop);
					if(element && response[prop]) {
						element.value = response[prop];
					}

					element = _document.querySelector(".goods-img-" + prop);
					if(element && response[prop]) {
						element.src = global_imgURL + response[prop];
					}
				}
			}

			if(typeof toDo === "function") {
				toDo(response);
			}
		}

	};
	ajaxMethod(url, data, success);
}

function public_getPaymentChannels(type, channels){
	var item,
		channel;
	for(var i=0, len=channels.length; i<len; i++){
		item = channels[i];
		if(item.id == type.id){
			channel = item;
			break;
		}
	}
	return channel;
}

function public_getPlatformInfo(ajaxMethod, needFill, toDo) {
	var ajaxObject = global_ajaxObject.config;
	var url = util.str.createAjaxURL(ajaxObject, ajaxObject.method_platform_detail);
	var data = {
		
	};
	
	var success = function(response) {
		if(response.result == global_ajaxResult.SUCCESS) {

			response = response.data;
			if(needFill) {

				var _document = document,
					element;

				for(var prop in response) {
					element = _document.querySelector(".platform-data-" + prop);
					if(element) {
						element.innerHTML = response[prop];
					}

					element = _document.querySelector(".platform-value-" + prop);
					if(element) {
						element.value = response[prop];
					}

					element = _document.querySelector(".platform-img-" + prop);
					if(element) {
						element.src = response[prop] ? global_imgURL + response[prop] : global_defaultAvatar;
					}
				}
			}

			if(typeof toDo === "function") {
				toDo(response);
			}
		}

	};
	ajaxMethod(url, data, success);
}

function public_getRouteMatrixScript(startLng, startLat, endLng, endLat){
	var script = document.createElement("script");  
	script.id = global_stringObject.routeMatrixScriptId;
  	script.src = "http://api.map.baidu.com/routematrix/v2/driving?output=json&origins=" + startLat + "," + startLng + "&destinations=" + endLat + "," + endLng + "&tactics=11&ak=SiwEzEZVDFEcIzfFjTgwoy5ogIz9Oj5B&callback=routeMatrixCallback"; 
    
  	document.body.appendChild(script);  
}

/*
 * 查询货主是否付了信息费
 */
function public_getShipperPayState(shipperId, id, ajaxMethod, toDo) {
	var ajaxObject = global_ajaxObject.order;
	var url = util.str.createAjaxURL(ajaxObject, ajaxObject.method_get_shipper_pay_state);
	var data = {
		shipperId: shipperId,
		id: id
	};
	util.encrypt.MD5Data(data);
	var success = function(response) {
		if(response.result == global_ajaxResult.SUCCESS) {

			response = response.data;

			if(typeof toDo === "function") {
				toDo(response);
			}
		}

	};
	ajaxMethod(url, data, success);
}

function public_getStars(starsContainer) {
	return starsContainer.querySelectorAll(".mui-icon-star-filled").length || "";
}

/*
 * (bool)needFill: 是否需要往页面填充数据
 * 
 */
function public_getUserDetail(ajaxMethod, needFill, toDo) {
	var userID = localStorage.getItem(global_localStorage.userId);

	if(userID) {
		var ajaxObject = global_ajaxObject.user;
		var url = util.str.createAjaxURL(ajaxObject, ajaxObject.method_user_detail);
		var data = {
			id: userID
		};
		util.encrypt.MD5Data(data);
		var success = function(response) {
			if(response.result == global_ajaxResult.SUCCESS) {

				response = response.data;
				if(needFill) {

					var _document = document,
						element;

					for(var prop in response) {
						element = _document.querySelector(".user-data-" + prop);
						if(element) {
							element.innerHTML = response[prop];
						}

						element = _document.querySelector(".user-value-" + prop);
						if(element) {
							element.value = response[prop];
						}

						element = _document.querySelector(".user-img-" + prop);
						if(element) {
							element.src = response[prop] ? global_imgURL + response[prop] : global_defaultAvatar;
						}
					}
				}

				if(typeof toDo === "function") {
					toDo(response);
				}
			}

		};
		ajaxMethod(url, data, success);
	}
}

function public_getVehicleDetail(vehicleId, ajaxMethod, needFill, toDo) {
	var ajaxObject = global_ajaxObject.user;
	var url = util.str.createAjaxURL(ajaxObject, ajaxObject.method_my_vehicle_detail);
	var data = {
		vehicleId: vehicleId
	};
	util.encrypt.MD5Data(data);
	var success = function(response) {
		if(response.result == global_ajaxResult.SUCCESS) {

			response = response.data;
			if(needFill) {

				var _document = document,
					element;

				for(var prop in response) {
					element = _document.querySelector(".vehicle-data-" + prop);
					if(element && response[prop]) {
						element.innerHTML = response[prop];
					}

					element = _document.querySelector(".vehicle-value-" + prop);
					if(element && response[prop]) {
						element.value = response[prop];
					}

					element = _document.querySelector(".vehicle-img-" + prop);
					if(element && response[prop]) {
						element.src = global_imgURL + response[prop];
					}
				}
			}

			if(typeof toDo === "function") {
				toDo(response);
			}
		}

	};
	ajaxMethod(url, data, success);
}

function public_goodsTypeExists(ajaxMethod, name, toDo){
	var ajaxObject = global_ajaxObject.product;
	var url = util.str.createAjaxURL(ajaxObject, ajaxObject.method_goods_type_exists);
	var data = {
		name: name
	};
	
	var success = function(response) {
		
		if(typeof toDo === "function") {
			toDo(response);
		}

	};
	ajaxMethod(url, data, success);
}

function public_infoFee(role, toDo) {
	var ao = global_ajaxObject.config;
	var url = util.str.createAjaxURL(ao, ao.method_info_fee);
	var data = {
		type: role
	};
	var success = function(response) {
		if(response.result == global_ajaxResult.SUCCESS) {
			if(typeof toDo === "function") {
				toDo(response.data);
			}
		}
	};
	util.ajax.getJSON(url, data, success);
}

/*
 * 判断司机是否可以支付信息费
 */
function public_isDriverPayOk(driverId, goodsId, ajaxMethod, toDo) {
	var ajaxObject = global_ajaxObject.order;
	var url = util.str.createAjaxURL(ajaxObject, ajaxObject.method_is_driver_pay_ok);
	var data = {
		userId: driverId,
		goodsId: goodsId,
		lng: localStorage.getItem(global_localStorage.method_longitude),
		lat: localStorage.getItem(global_localStorage.method_latitude)
	};
	util.encrypt.MD5Data(data);
	var success = function(response) {
		
		if(typeof toDo === "function") {
			toDo(response);
		}

	};
	ajaxMethod(url, data, success);
}

function public_isGetRouteMatrixScriptOk(){
	var script = document.getElementById(global_stringObject.routeMatrixScriptId);
	
	if(script){
		return false;
	}
	
	return true;
}

function public_providePosition(ajaxMethod, toDo) {
	var ajaxObject = global_ajaxObject.user;
	var url = util.str.createAjaxURL(ajaxObject, ajaxObject.method_ProvidePostion);
	var data = {
		userId: localStorage.getItem(global_localStorage.userId),
		longitude: localStorage.getItem(global_localStorage.method_longitude),
		latitude: localStorage.getItem(global_localStorage.method_latitude)
	};
	util.encrypt.MD5Data(data);
	var success = function(response) {
		console.log("上传位置： " + JSON.stringify(response));
		if(typeof toDo === "function") {
			toDo(response);
		}
	};
	ajaxMethod(url, data, success);	
	
	
}

function public_refreshChildren(parentWebviewId) {
	var parent = plus.webview.getWebviewById(parentWebviewId);
	
	if(parent){
		var webviews = plus.webview.getWebviewById(parentWebviewId).children(),
			_mui = mui;
		for(var i = 0, len = webviews.length; i < len; i++) {
			_mui.fire(webviews[i], 'ce_refresh', null);
		}	
	}
	
}

function public_setBillState(billId, stateId, toDo) {

	mui.confirm('确认要将此运单设为' + global_billState[stateId] + '吗？', global_stringObject.project, [global_dialogOptions.NO, global_dialogOptions.YES], function(e) {
		if(e.index == 1) {
			var ao = global_ajaxObject.order;
			var url = util.str.createAjaxURL(ao, ao.method_set_bill_state);
			var data = {
				billId: billId,
				stateId: stateId
			};
			util.encrypt.MD5Data(data);
			var success = function(response) {
				console.log("set bill state: " + JSON.stringify(response));
				mui.toast(response.msg);
				switch(response.result) {
					case global_ajaxResult.SUCCESS:
						if(typeof toDo === "function") {
							toDo(response);
						}
						break;

				}
			};
			util.ajax.getJSONWaiting(url, data, success);
		}
	});

}

function public_setGoodsState(goodsId, stateId, toDo) {

	mui.confirm('确认要将此货源设为' + global_goodsState[stateId] + '吗？', global_stringObject.project, [global_dialogOptions.NO, global_dialogOptions.YES], function(e) {
		if(e.index == 1) {
			var ao = global_ajaxObject.order;
			var url = util.str.createAjaxURL(ao, ao.method_set_goods_state);
			var data = {
				goodsId: goodsId,
				stateId: stateId
			};
			util.encrypt.MD5Data(data);
			var success = function(response) {
				console.log("set goods state: " + JSON.stringify(response));
				mui.toast(response.msg);
				switch(response.result) {
					case global_ajaxResult.SUCCESS:
						if(typeof toDo === "function") {
							toDo(response);
						}
						break;

				}
			};
			util.ajax.getJSONWaiting(url, data, success);
		}
	});

}

/*
 * 站内信，已读，未读
 * (element)letter: 站内信
 * (number)stateId:
 */
function public_setLetterListItemStatus(letter, stateId) {
	/*
	var wrapper = letter.querySelector(".mui-table-cell");
	if(wrapper) {
		wrapper.innerHTML = "";
		if(stateId == global_letterStatus.READ) {

		} else {
			wrapper.innerHTML = '<div style="width: 10px; height: 10px; background-color: #dc364a; border-radius: 50%; margin: 0 auto;"></div>';
		}
	}
	*/
	var readOrUnread = letter.querySelector(".read-or-unread");
	if(stateId == global_letterStatus.READ) {
		readOrUnread.className = "read-or-unread app-color-theme-primary";
		readOrUnread.innerHTML = "已读";
	} else {

		readOrUnread.className = "read-or-unread app-color-theme-unread";
		readOrUnread.innerHTML = "未读";
	}
}

function public_setMode() {
	var _mui = mui,
		plusWebview = plus.webview,
		webviewIds = ["home.html", "user_center.html"];
	for(var i = 0, len = webviewIds.length; i < len; i++) {
		_mui.fire(plusWebview.getWebviewById(webviewIds[i]), 'ce_setmode', {
			active: global_setModeActive.LOCAL,
			needRefresh: true
		});
	}

}

/*
 * 货主支付信息费
 */
function public_shipperPay(shipperId, id, ajaxMethod, toDo) {
	var ajaxObject = global_ajaxObject.order;
	var url = util.str.createAjaxURL(ajaxObject, ajaxObject.method_shipper_pay);
	var data = {
		shipperId: shipperId,
		id: id
	};
	util.encrypt.MD5Data(data);
	var success = function(response) {
		console.log("shipper pay: " + JSON.stringify(response));
		if(typeof toDo === "function") {
			toDo(response);
		}

	};
	ajaxMethod(url, data, success);
}

function public_verify(){
	if(localStorage.getItem(global_localStorage.roleId) == global_userRole.SHIPPER){
		util.helper.openWindow("shipper_a_or_b.html");
	}else{
		util.helper.openWindow("verify_driver.html");
	}
}
